Name:        quickemu
Version:     4.9.7
Release:     %autorelease -b 1
Summary:     Quickly create and run optimised Windows, macOS and Linux desktop virtual machines

Group:       Applications/Emulators
BuildArch:   noarch
License:     MIT
URL:         https://github.com/quickemu-project/%{name}
Source0:     %{url}/archive/refs/tags/%{version}.tar.gz

Requires:    bash
Requires:    coreutils
Requires:    curl
Requires:    edk2-tools
Requires:    genisoimage
Requires:    grep
Requires:    jq
Requires:    mesa-demos
Requires:    pciutils
Requires:    procps
Requires:    python3
Requires:    qemu
Requires:    sed
Requires:    socat
Requires:    spice-gtk-tools
Requires:    swtpm
Requires:    unzip
Requires:    usbutils
Requires:    util-linux
Requires:    xdg-user-dirs
Requires:    xrandr
Recommends:  zsync

%description
Quickly create and run optimised Windows, macOS and Linux desktop virtual machines.

%global debug_package %{nil}

%prep
%setup -q

%build
# Nothing to do here

%install
# Binaries
install -Dm755 quickemu %{buildroot}%{_bindir}/quickemu
install -Dm755 quickget %{buildroot}%{_bindir}/quickget
install -Dm755 quickreport %{buildroot}%{_bindir}/quickreport
# Manual Pages
install -Dm644 docs/quickemu.1 %{buildroot}%{_mandir}/man1/quickemu.1
install -Dm644 docs/quickemu_conf.5 %{buildroot}%{_mandir}/man1/quickemu_conf.5
install -Dm644 docs/quickget.1 %{buildroot}%{_mandir}/man1/quickget.1

%files
%license LICENSE
%{_bindir}/quickget
%{_bindir}/quickemu
%{_bindir}/quickreport
%{_mandir}/man1/quickemu.1*
%{_mandir}/man1/quickemu_conf.5*
%{_mandir}/man1/quickget.1*

%changelog
* Sun Jan 12 2025 Kyle Bloom <kylejbloom@gmail.com> - 4.9.7-1
- Update to 4.9.7

* Tue Jul 09 2024 Kyle Bloom <kylejbloom@gmail.com> - 4.9.6-1
- Update to 4.9.6

* Tue Jul 02 2024 Kyle Bloom <kylejbloom@gmail.com> - 4.9.5-2
- Update to 4.9.5

* Fri Dec 30 2022 Keith Lyons <keith_lyons@outlook.com> - 4.5-1
- Initial release of quickemu 4.5
